Bug 965807 - sosreport does not blankout password in anaconda-ks.cfg and yum.repo
sosreport does not blankout password in anaconda-ks.cfg and yum.repo
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.9
x86_64 All
urgent Severity urgent
: rc
: ---
Assigned To: Bryn M. Reeves
Miroslav Hradílek
: EasyFix, Patch, ZStream
Depends On: 857304 1034865
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 15:07 EDT by Libor Miksik
Modified: 2013-11-26 10:56 EST (History)
13 users (show)

See Also:
Fixed In Version: sos-1.7-9.62.el5_9.1
Doc Type: Bug Fix
Doc Text:
* Previous versions of the sos anaconda module would not elide password configuration from collected kickstart and yum repository configuration files * This may lead to unintended disclosure of these password settings * The sosreport command now applies a string substitution when collection these files to ensure passwords are obscured * Generated reports no longer include this possibly sensitive information while still collecting diagnostic data from the module
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 12:59:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Libor Miksik 2013-05-21 15:07:24 EDT
This bug has been copied from bug #857304 and has been proposed
to be backported to 5.9 z-stream (EUS).
Comment 10 errata-xmlrpc 2013-07-30 12:59:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1121.html

Note You need to log in before you can comment on or make changes to this bug.